# BarcodeCameraLiveDetector class

Inheritance
  - Object
  - LiveDetector
  - BarcodeCameraLiveDetector

## Constructors

BarcodeCameraLiveDetector({required dynamic barcodeListener(BarcodeScanningResult result), required dynamic errorListener(SdkLicenseException exception)})

## Properties

arguments ↔ Map<String, dynamic>
  read / write inherited
barcodeListener ↔ dynamic Function(BarcodeScanningResult result)
  The callback that will be called each time barcodes is detected.
  read / write
detectorChannel ↔ MethodChannel
  read / write inherited
detectorType ↔ DetectorType
  read / write override-getter
enabled ↔ bool
  read / write inherited
errorListener ↔ dynamic Function(SdkLicenseException exception)
  The callback that will be called when there are problems with a license.
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

attach(ScanbotCameraController controller) → dynamic
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
pauseDetection() → dynamic
  inherited
registerResultHandler() → void
  override
resumeDetection() → dynamic
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited